உள்ளடக்கத்திற்குச் செல்க

Phota Create Profile

ஒருங்கிணை

மாடல் id phota/create-profile
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/phota/create-profile?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கை: $2.90 2,900 API கிரெடிட்கள் இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக
Open model பயிற்சி #stylized#transform#typography#phota

பொருளின் புகைப்படங்களைக் கொண்ட zip இலிருந்து Phota அடையாளச் சுயவிவரத்தை உருவாக்குகிறது

Open model · கோப்பு

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை

Profile படங்களைக் கொண்ட ZIP கோப்பின் URL.

POST /run/phota/create-profile?wait=20 விலை → $2.90
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/phota/create-profile?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

Phota Create Profile பற்றி

`image_data_url` இல் வழங்கப்பட்ட படங்களின் ZIP காப்பகத்திலிருந்து ஒரு நபர் அல்லது பொருளின் மறுபயன்படுத்தக்கூடிய சுயவிவரத்தை உருவாக்குகிறது. 30 முதல் 50 படங்கள் எதிர்பார்க்கப்படுகின்றன. Phota உரை-க்கு-படம் மற்றும் திருத்த மாதிரிகளில் பொருளின் அடையாளத்தைத் தக்கவைக்கப் பயன்படுத்தக்கூடிய `profile_id` ஐத் திருப்பி அளிக்கிறது.

அளவுருக்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
image_data_urlதேவை
வகைstring
Profile படங்களைக் கொண்ட ZIP கோப்பின் URL.
தேவை

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "phota/create-profile",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2900,
    "usd": "2.90",
    "charged": 2900,
    "refunded": 0
  },
  "input": {
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "profile_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
profile_id
stringPhotalabs-இல் உள்ள profile-க்கான அடையாளங்காட்டி.

மேலும் மாதிரிகள்: பயிற்சி

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/phota/create-profile.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt